summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-09-29 09:58:38 +0200
committerMichael Vogt <mvo@debian.org>2014-09-29 09:58:38 +0200
commit4c333a25a88b1afac2ed50bf1b9af61dc5b09343 (patch)
treed4b90a7bc46e9da364efb74365a0af604b38e424 /debian/apt.postinst
parentbca84917c326fa3158e120147c8aecebe0789b47 (diff)
parent6eb377fb9fba6b7f17f635143e9201f0d62a50fb (diff)
Merge remote-tracking branch 'upstream/debian/experimental' into feature/acq-trans
Conflicts: apt-pkg/acquire-item.cc apt-pkg/acquire-item.h methods/gpgv.cc
Diffstat (limited to 'debian/apt.postinst')
-rwxr-xr-x[-rw-r--r--]debian/apt.postinst13
1 files changed, 11 insertions, 2 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index fab026504..01f78a1dd 100644..100755
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -15,6 +15,15 @@ set -e
case "$1" in
configure)
+ if dpkg --compare-versions "$2" lt 1.0.7; then
+ # apt-key before 0.9.10 could leave empty keyrings around
+ find /etc/apt/trusted.gpg.d/ -name '*.gpg' | while read keyring; do
+ if ! test -s "$keyring"; then
+ rm -f "$keyring"
+ fi
+ done
+ fi
+
if dpkg --compare-versions "$2" lt-nl 0.9.9.5; then
# we are using tmpfiles for both
rm -f /etc/apt/trustdb.gpg
@@ -27,8 +36,8 @@ case "$1" in
fi
# add unprivileged user for the apt methods
- adduser --force-badname --system --no-create-home \
- --quiet _apt || true
+ adduser --force-badname --system -home /var/empty \
+ --no-create-home --quiet _apt || true
chown -R _apt:root \
/var/lib/apt/lists \
/var/cache/apt/archives